package org.jeecg.modules.deliver.cmos.job.task;

import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.digital.task.zdxz.YfmZdxzTaskService;
import org.jeecg.modules.deliver.cmos.job.CmosConstants;
import org.jeecg.modules.deliver.cmos.job.CmosTask;
import org.springframework.stereotype.Component;

@Slf4j
@RequiredArgsConstructor
@Component
public class CmosYfmZdxzTask implements CmosTask {

    final YfmZdxzTaskService taskService;

    @Override
    public String getType() {
        return CmosConstants.YFM_ZDXZ;
    }

    @Override
    public void execute() throws Exception {
        taskService.execute();
    }
}
